View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000420Ecere SDKecerepublic2010-06-26 04:502013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000420: changing the text property of a Tab instance will not update the button in the TabControl
Descriptionclass MyTab : Tab
{
   text = "Tab"
}
class MyTab { this, tabControl = tc, text = "MyTab" };
the tab button will display "Tab" instead of "MyTab" as it's caption.
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0000202)
redj (administrator)
2010-06-26 04:50

watch the text property in the Tab class

Added revision 14 to .../sdk/ecere/src/gui/controls/TabControl.ec

- Issue History
Date Modified Username Field Change
2010-06-26 04:50 redj New Issue
2010-06-26 04:50 redj Status new => assigned
2010-06-26 04:50 redj Assigned To => redj
2010-06-26 04:50 redj Status assigned => resolved
2010-06-26 04:50 redj Resolution open => fixed
2010-06-26 04:50 redj Note Added: 0000202
2010-07-07 04:20 redj Tag Attached: v0.44d2
2010-07-25 18:39 redj Relationship added child of 0000429
2010-07-26 19:02 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:34 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:13 redj Relationship deleted child of 0000429
2012-03-08 18:08 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker